Subject: Re: [Acme] IDN encoding

From: Richard Barnes <[email-masked]>
Date: Thu, 8 Sep 2016 13:10:07 -0400

Sorry, missed that there was a PR attached.  I put a couple of editorial
comments in the PR.  If you could fix those and merge master, I'll go ahead
and merge it.

On Mon, Aug 29, 2016 at 7:42 PM, Roland Bracewell Shoemaker <
[email-masked]> wrote:

>
>
> On 08/29/2016 04:36 PM, Richard Barnes wrote:
> > Yeah, there's no reason to use U-labels here.  Let's just require that
> > the names be in ASCII.  I don't think there's really a need to require
> > anything further than that (servers can do case folding).
> >
>
> That is what this patch does, but actually describes how the
> ASCII-ification should be done instead of leaving it up to the reader to
> figure out.
>
> > Note that this only affects Authorization.identifier.value for
> > Authorization.identifier.type == "dns".  The names in the CSR can still
> > have all the delightful variation that X.509 allows.
> >
> > On Mon, Aug 29, 2016 at 7:21 PM, Philipp Junghannß
> > <[email-masked] <mailto:[email-masked]>> wrote:
> >
> >     shouldnt IDNs just get Punycoded? at least that's the common
> >     standard for IDN stuff iirc.
> >
> >
> >     2016-08-30 0:51 GMT+02:00 Roland Bracewell Shoemaker
> >     <[email-masked] <mailto:[email-masked]>>:
> >
> >         I'd be interested in hearing peoples thoughts about this PR
> >         which adds
> >         language about how IDNs should be encoded by clients who wish to
> use
> >         them as identifier values.
> >
> >         https://github.com/ietf-wg-acme/acme/pull/184
> >         <https://github.com/ietf-wg-acme/acme/pull/184>
> >
> >         _______________________________________________
> >         Acme mailing list
> >         [email-masked] <mailto:[email-masked]>
> >         https://www.ietf.org/mailman/listinfo/acme
> >         <https://www.ietf.org/mailman/listinfo/acme>
> >
> >
> >
> >     _______________________________________________
> >     Acme mailing list
> >     [email-masked] <mailto:[email-masked]>
> >     https://www.ietf.org/mailman/listinfo/acme
> >     <https://www.ietf.org/mailman/listinfo/acme>
> >
> >
>